/**
 * Contains model classes that represents XML elements of the
 * {@code thermostat-plugin.xml} file.
 * <p>
 * The models in this package are used for two distinct purposes:
 * <ol>
 * <li>For marshalling and unmarhalling to XML using JAXB</li>
 * <li>For binding to the UI using JFace databinding</li>
 * </ol>
 * As a result of both these, some times the models are not built
 * in the simplest way.
 */
@javax.xml.bind.annotation.XmlSchema(
        namespace=SchemaConstants.SCHEMA_NAMESPACE,
        elementFormDefault=javax.xml.bind.annotation.XmlNsForm.QUALIFIED)
package com.redhat.thermostat.tools.eclipse.plugin.model;
